/* Set box-sizing to border-box for all elements */
* {
    box-sizing: border-box;
}

/* Set a consistent font family and size */
body {
    font-family: Arial, sans-serif;
    font-size: 16px;
}

/* Set a consistent color palette */
:root {
    --primary-color: #2c3e50;
    --secondary-color: #f1c40f;
    --success-color: #27ae60;
    --danger-color: #c0392b;
    --info-color: #2980b9;
    --background-color: #fff;
    --border-color: #ccc;
}

/* Set the height of the HTML and body elements to 100% */
html, body {
    height: 100%;
}

/* Style the chatbot container */
.chatbot-container {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  border: 1px solid var(--border-color);
  border-radius: 5px;
  overflow: hidden;
}

/* Style the chatbot header */
.chatbot-header {
    background-color: var(--primary-color);
    color: #fff;
    padding: 10px;
    text-align: center;
}

/* Style the chatbot body */
.chatbot-body {
    flex: 1;
    display: flex;
    flex-wrap: wrap;
    padding: 10px;
}

/* Style the chatbot messages */
.chatbot-messages {
    flex: 2;
    margin-right: 10px;
}

/* Style the chatbot message */
.chatbot-message {
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 10px;
    max-width: 80%;
}

/* Style the chatbot AI message */
.chatbot-ai-message {
    background-color: var(--secondary-color);
    align-self: flex-end;
}

/* Style the chatbot buttons */
.chatbot-buttons {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.chatbot-buttons button {
    background-color: var(--primary-color);
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 10px;
    cursor: pointer;
    font-size: 16px;
    margin: 0 5px;
}

/* Style the chatbot yes button */
.chatbot-yes-button {
    background-color: var(--success-color);
}

/* Style the chatbot no button */
.chatbot-no-button {
    background-color: var(--danger-color);
}

/* Style the chatbot maybe button */
.chatbot-maybe-button {
    background-color: var(--info-color);
}

.chatbot-buttons button:hover {
    background-color: #34495e;
}

/* Style the chatbot input container */
.chatbot-input-container {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 10px;
}

/* Style the chatbot input */
.chatbot-input {
    flex: 1;
    padding: 10px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
}

/* Style the chatbot send button */
.chatbot-send-button {
    background-color: var(--primary-color);
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 10px;
    margin-left: 10px;
    cursor: pointer;
    font-size: 16px;
}

.chatbot-send-button:hover {
    background-color: #34495e;
}

/* Style the chatbot lists */
.chatbot-lists {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

/* Style the chatbot list */
.chatbot-list {
    flex: 1;
    padding: 10px;
    border: 1px solid var(--border-color);
    border-radius: 5px;
    margin-right: 10px;
    background-color: var(--background-color);
    max-height: 300px;
    overflow-y: scroll;
}

/* Style the chatbot list header */
.chatbot-list h2 {
    margin-top: 0;
    margin-bottom: 10px;
    font-size: 24px;
    color: var(--primary-color);
}

/* Style the chatbot list item */
.chatbot-list-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
    padding: 5px;
    background-color: var(--secondary-color);
    border-radius: 5px;
    cursor: move;
}

/* Style the chatbot list item text */
.chatbot-list-item p {
    margin: 0;
    font-size: 16px;
    color: var(--primary-color);
}

/* Style the chatbot delete button */
.chatbot-delete-button {
    background-color: var(--danger-color);
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 5px 10px;
    cursor: pointer;
    font-size: 16px;
}

.chatbot-delete-button:hover {
    background-color: #e74c3c;
}

/* Media query for smaller screens */
@media screen and (max-width: 600px) {
    .chatbot-body {
        flex-direction: column;
    }

    .chatbot-messages {
        margin-right: 0;
    }

    .chatbot-lists {
        margin-top: 10px;
        flex-direction: column;
    }

    .chatbot-list {
        margin-right: 0;
        margin-bottom: 10px;
    }
}
